MSGEN(1)

NUME
msgen - creează un catalog de mesaje în limba engleză

REZUMAT
msgen [OPȚIUNE] [FIȘIER_INTRARE]

DESCRIERE

Creează un catalog de traduceri în limba engleză. Fișierul de intrare este ultimul fișier PO în limba engleză creat sau un fișier șablon PO (în general creat de «xgettext»). Intrărilor netraduse li se atribuie o traducere identică cu msgid.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

  Locație fișier de intrare:

FIȘIER DE INTRARE
    fișiere de intrare PO sau POT

-D, --directory=DIRECTOR
    adaugă DIRECTOR la listă pentru căutarea fișierelor de intrare

Dacă fișierul de intrare este „-”, se va citi intrarea standard.

  Locație fișier de ieșire:

-o, --output-file=FIȘIER
    scrie ieșirea în fișierul specificat

Rezultatele sunt scrise la ieșirea standard dacă nu este specificat niciun fișier de ieșire sau dacă acesta este „-”.

  Sintaxă fișier de intrare:

-P, --properties-input
    fișierul de intrare este în sintaxa Java .properties

--stringtable-input
    fișierul de intrare este în sintaxa NeXTstep/GNUstep .strings

  Detalii ieșire:

--lang=NUME_CATALOG
    definește câmpul „Language” în intrarea din antet

--color
    utilizează întotdeauna culori și alte atribute ale textului

--color=CÂND
    utilizează culori și alte atribute ale textului dacă VALOARE. VALOARE poate fi: „always” (întotdeauna), „never” (niciodată), „auto” sau „html”.

--style=FIȘIER_DE_STIL
    specifică fișierul cu reguli de stil CSS pentru opțiunea --color

-e, --no-escape
    nu utilizează eludări C în ieșire (implicit)

-E, --escape
    folosește eludări C în ieșire, fără caractere extinse

--force-po
    scrie fișierul PO chiar dacă este gol

-i, --indent
    scrie fișierul .po folosind stil indentat

--no-location
    suprimă liniile „#: nume_fișier:linie”

-n, --add-location
    păstrează liniile „#: nume_fișier:linie” (implicit)

--strict
    scrie ieșirea în stil strict Uniforum

-p, --properties-output
    scrie un fișier .properties Java

--stringtable-output
    scrie un fișier .strings NeXTstep/GNUstep

-w, --width=NUMĂR
    stabilește lățimea paginii de ieșire

--no-wrap
    nu împarte liniile lungi de mesaj, mai lungi decât lățimea paginii de ieșire, în mai multe linii

-s, --sort-output
    generează ieșire ordonată alfanumeric

-F, --sort-by-file
    ordonează ieșirea după locația fișierului

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Bruno Haible.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 2001-2020 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru msgen este menținută ca un manual Texinfo. Dacă programele info și msgen sunt instalate corect în sistemul dvs., comanda

    info msgen

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.